Package org.picocontainer.converters

# Class ConvertsNothing

java.lang.Object
org.picocontainer.converters.ConvertsNothing

All Implemented Interfaces:
  `Converters`

public class ConvertsNothing extends Object implements Converters
Null-object implementation of Converters

## Constructor Summary

Constructors
Constructor
Description
`ConvertsNothing()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canConvert(Type type)`
Returns true if a converters is available to convert to the given object type
`Object`
`convert(String paramValue, Type type)`
Converts a particular string value into the target type

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvertsNothing

public ConvertsNothing()

## Method Details

### canConvert

public boolean canConvert(Type type)
Description copied from interface: `Converters`
Returns true if a converters is available to convert to the given object type

Specified by:
  `canConvert` in interface `Converters`
Parameters:
  `type` - the object Type to convert to
Returns:
  true if the type can be converted to

### convert

public Object convert(String paramValue, Type type)
Description copied from interface: `Converters`
Converts a particular string value into the target type

Specified by:
  `convert` in interface `Converters`
Parameters:
  `paramValue` - the String value to convert
  `type` - the object Type to convert to
Returns:
  The converted Object instance